# Class CIM_PhysicalCapacity
extends CIM_ManagedElement

PhysicalCapacity is an abstract class describing a PhysicalElement's minimum/maximum requirements and ability to support different types of hardware. For example, minimum and maximum memory requirements can be modeled as a subclass of CIM_PhysicalCapacity. Note that the items described in subclasses of PhysicalCapacity, for example the class ConfigurationCapacity, are either directly PhysicalElements (such as I/O slots or storage library magazines) or closely associated to PhysicalElements via the Realizes relationship (i.e., LogicalDevices such as batteries or processors).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_PhysicalCapacity

## Direct Known Subclasses

CIM_ConfigurationCapacity
CIM_MemoryCapacity

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true

Description

string

PhysicalCapacity is an abstract class describing a PhysicalElement's minimum/maximum requirements and ability to support different types of hardware. For example, minimum and maximum memory requirements can be modeled as a subclass of CIM_PhysicalCapacity. Note that the items described in subclasses of PhysicalCapacity, for example the class ConfigurationCapacity, are either directly PhysicalElements (such as I/O slots or storage library magazines) or closely associated to PhysicalElements via the Realizes relationship (i.e., LogicalDevices such as batteries or processors).

UMLPackagePath | string | CIM::Physical::Misc
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Name | string |
Description | string | The Name property defines the label by which the Physical Capacity object is known. When subclassed, the Name property can be overridden to be a Key property.
MaxLen | uint32 | 256

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods